package function;

import sexpression.Cons;
import sexpression.SExpression;

public abstract class LispFunction {

    public abstract SExpression call(Cons argList);

    public boolean isArgumentListEvaluated() {
        return true;
    }

    public boolean isMacro() {
        return false;
    }

}
